Confluence 6 在升级之前

在这个指南中,我们将会与你一同对最新的 Confluence 站点在 Windows 或者 Linux 平台进行安装和更新。

如果你的 Confluence 安装实例是当前的许可证的话,那么对 Confluence 进行升级是免费的。请参考页面 Licensing FAQ 中的内容来获得更多的信息。

对 Confluence 进行升级的其他方法:

XML 备份文件不能在升级的时候使用。

在你对 Confluence 进行升级之前,你需要对下面的一些问题进行了解。

使用安装文件的升级方式是否适合你?

告诉我更多 ...你可以选择使用安装程序,zip 或者 tar.gz 文件进行升级。在大部分情况下,使用安装程序为升级你 Confluence 安装实例最简便的方法。如果你遇到了下面的情况,那么你需要手动进行升级了:你现在移动到其他的操作系统或者文件的路径属于本次升级的一部分。你正在从 Confluence 3.5 或者早期版本上进行升级。你正在从 Confluence 5.6 或者早期版本上进行升级,但是这些早期版本使用的是 EAR/WAR 分发包来进行部署到一个已经存在的应用服务器上的。

你是否具有升级资格?

告诉我更多 ...希望对你当前运行 Confluence 的实例的许可证是否当前,你可以进入  > 基本配置(General Configuration) > 问题检查和支持工具(Troubleshooting and support tools) 来确定你的许可证支持是否过期了。软件维护(Software maintenance):在这个时间区间内进行升级。如果你的许可证支持以及过期了,请在对 Confluence 进行升级之前按照提示的步骤来对许可证进行更新。

我们支持的平台是否有了改变?

告诉我更多 ...请查看 Supported Platforms 页面来查看你将要升级的 Confluence 版本。这个页面能够给你 Confluence 支持的操作系统,数据库和浏览器提供相关信息。你应该了解:Confluence 安装文件包含有 Java (JRE) 和 Tomcat。所以你不需要针对 Java 运行环境单独进行升级。如果你需要升级的数据库的话,请查看升级指南中有关支持的数据库版本,同时也请参考数据库的升级指南中的升级备注。

你是否需要修改你的环境?

告诉我更多 ...更新的 Confluence 版本有时候需要要求修改你的环境,例如提供更多的内存或者调整反向代理设置。你应该了解:我们使用 升级日志 来告诉你 Confluence 的升级版本将会对你产生什么影响,例如:修改支持的数据库,内存的需求,和其他的修改将会影响到你的 Confluence 运行环境。Confluence 将会进行的重大修改和从这次发行版本中删除的内容。当你升级完成后,你应该对你 Confluence 安装实例马上进行的操作。针对你进行升级的 Confluence 版本之间,这些信息是非常重要的,你应该有所了解。例如,如果你从 Confluence 的 5.8 版本升级到 5.10 版本,你应该阅读 Confluence 5.9 和 5.10 版本的发行备注。

  • 你现在移动到其他的操作系统或者文件的路径属于本次升级的一部分。
  • 你正在从 Confluence 3.5 或者早期版本上进行升级。
  • 你正在从 Confluence 5.6 或者早期版本上进行升级,但是这些早期版本使用的是 EAR/WAR 分发包来进行部署到一个已经存在的应用服务器上的。

你是否具有升级资格?告诉我更多 ... 希望对你当前运行 Confluence 的实例的许可证是否当前,你可以进入  > 基本配置(General Configuration) > 问题检查和支持工具(Troubleshooting and support tools) 来确定你的许可证支持是否过期了。

  1. 软件维护(Software maintenance):在这个时间区间内进行升级。

如果你的许可证支持以及过期了,请在对 Confluence 进行升级之前按照提示的步骤来对许可证进行更新。我们支持的平台是否有了改变?告诉我更多 ... 请查看 Supported Platforms 页面来查看你将要升级的 Confluence 版本。这个页面能够给你 Confluence 支持的操作系统,数据库和浏览器提供相关信息。 你应该了解:

  • Confluence 安装文件包含有 Java (JRE) 和 Tomcat。所以你不需要针对 Java 运行环境单独进行升级。
  • 如果你需要升级的数据库的话,请查看升级指南中有关支持的数据库版本,同时也请参考数据库的升级指南中的升级备注。

你是否需要修改你的环境?告诉我更多 ... 更新的 Confluence 版本有时候需要要求修改你的环境,例如提供更多的内存或者调整反向代理设置。你应该了解: 我们使用 升级日志 来告诉你 Confluence 的升级版本将会对你产生什么影响,例如:

  • 修改支持的数据库,内存的需求,和其他的修改将会影响到你的 Confluence 运行环境。
  • Confluence 将会进行的重大修改和从这次发行版本中删除的内容。
  • 当你升级完成后,你应该对你 Confluence 安装实例马上进行的操作。

针对你进行升级的 Confluence 版本之间,这些信息是非常重要的,你应该有所了解。例如,如果你从 Confluence 的 5.8 版本升级到 5.10 版本,你应该阅读 Confluence 5.9 和 5.10 版本的发行备注。

https://www.cwiki.us/display/CONF6ZH/Upgrading+Confluence

原创声明,本文系作者授权云+社区发表,未经许可,不得转载。

如有侵权,请联系 yunjia_community@tencent.com 删除。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券